{{ product.name }}

GooCubelets 2

DRM

$1.99

$1.99

-{{product.discount}}%

WANTED
WANT IT

Community content

GooCubelets 2

$1.99

$1.99

-{{product.discount}}%

The Megapuzzle was only the beginning... A lot of strange anomalies in GooUniverse have caused the creation of new puzzles that are so insane they could mess up your mind and turn your brain into ooze! New traps, new buttons, new aspects to the game... Can you solve them all using your butter squishing fingers and your quick mind that makes other people jelly? Yes, this was a pun. Take the mission seriously and remember to always goo on.

 

Read full description

Associated Products

See All
See Less

Deals

Game description

The Megapuzzle was only the beginning... A lot of strange anomalies in GooUniverse have caused the creation of new puzzles that are so insane they could mess up your mind and turn your brain into ooze! New traps, new buttons, new aspects to the game... Can you solve them all using your butter squishing fingers and your quick mind that makes other people jelly? Yes, this was a pun. Take the mission seriously and remember to always goo on.

 

Game info
  • 0

  • Rating
Publisher:
Grab The Games
Developer:
Zonitron Productions
Genres:
Source:
Grab The Games
Released:
Thursday, November 19, 2015
Modes:
Languages:
English
Headset:
{{vrNames}}
Customer notes
Minimum Requirements

OS: Windows XP 
Processor: Intel dual core 2.0 Ghz 
Memory: 1 GB RAM 
Graphics: HD 5670 
DirectX: Version 9.0c 
Storage: 500 MB available space 

Recommended Requirements

OS: Windows 7 
Processor: Dual Core 3.0 GHz 
Graphics: HD 5670 or better 
DirectX: Version 11 
Storage: 500 MB available space 

Legal

More like this

User score

0
Overall score based on 0 reviews Leave a review

Reviews for GooCubelets 2

Load More
Load More
Thanks for review.

All reviews are moderated and may not appear on the site staight away

Thank you for your patience whilst we complete this process.

Write a review
All fields are mandatory
This field is required
This field is required